<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>

			<!-- align attribute - changes the alignment of the paragraph element -->
			<!-- id attribute assigns a unique named identifier to an element -->
			
			<h2 id="top">HTML Attributes</h2>

			<!-- HTML Attributes - changes the defualt behavior of HTML elements  -->
			<p align="center"><em>Modifiers of elements behaviours.</em></p>

			<h2>HTML Images</h2>

			<!-- HTML Entities - There are special characters use into HTML elements to show HTML reserved characters -->

			<p>
				<em>
					An image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>
				</em>
			</p>

			<!-- src attribute - accepts a url link -->
			<!-- Using absolute link -->

			<!-- Note: Any HTML tag wrapped inside an anchor/ <a> tag will become clickable -->

			<a href="https://place-puppy.com">

			<img src="https://place-puppy.com/300x300">
			</a>

			<p>
				<!-- <code> tag - used to define a piece of computer code and display it in the browser using default monospace font -->
				<code>
					&lt;img src="https://place-puppy.com/300x300"&gt;

				</code>

			</p>

			<!-- Using Relative Link -->
			<!-- 
			- target attribute defines where the link will be opened.
			- "_blank" value will open the link in a new tab.
			 -->

			<a href="https://zuitt.co" target="_blank">
			<img src="./images/zuittlogo.png">
			</a>

			<p>
				<code>
					&lt;img src="./images/zuittlogo.png"&gt;
				</code>

			</p>

			<p>Valid image extensions are the following:</p>
			<!-- 
			- type attribute values for <ol>:
				-1
				-A or a
				-I or i
			- reversed attribute reverses the order of the bullet points.
				 -->
			<ol type="a" reversed>
				<li>png</li>
				<li>jpg</li>
				<li>gif</li>
				<li>svg</li>
				<li>webp</li>
			</ol>

			<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp"target="_blank">here</a></p>

			<h2>HTML Links</h2>

			<h4>Absolute Link</h4>

			<!-- 
				- <a> tag is used to create a link to different page/section
				- href attribute means "hyper text reference"

			 -->
			<a href="https://zuitt.co">I'm a hpyerlink </a>

			<h4>Relative link</h4>

			<p>Go to <a href="./link.html"> link.html</a> page.</p>

			<!-- Thisa is an example of within page relative hyperlink -->

			<p>GO to <a href="#top">top</a></p>

</body>
</html>